Create an API token, import media into a new project, and prompt Underlord for edits.
The Descript API lets you programmatically create projects, import media, and edit your projects — all without opening the app.To learn more, visit descript.com/api.
In Descript, open Settings and select API tokens from the sidebar. Then click Create token.
Give your token a name and select the Drive it should be associated with. Click Create token.
Copy your token and store it in a safe place. You won’t be able to view it again. If you lose it, you’ll need to generate a new one.
Treat your API token like a password. Anyone with your token can make API requests on your behalf using your account permissions. Never share your token publicly or commit it to source control.
Include the token as a Bearer token in the Authorization header of your API requests.
You can create a new project, import media, and place the media into a composition all in one API request using the import endpoint. This step also transcribes and processes the media so that it’s ready for you or the agent to edit.To import files, pass in public or pre-signed URIs. To upload a local file instead, see Direct file upload. To test the API with an example file, use the demo video included in the sample request below.Importing and processing is an asynchronous job, so the response payload will contain a job_id for you to query the status of the job and information about the newly created project. Note that project_id and project_url are returned immediately alongside job_id, but opening the project in Descript will not always show the API’s processing state in real time. To prevent unintended changes, we recommend that you do not make any changes to the project until the job has stopped.Request
Poll the job status endpoint using the job_id from the last step to check whether the import job is finished processing. When it is, you’ll see job_state: "stopped". You can then check the results object to see its full results.You can also pass in a callback_url as a part of the first import request, and we’ll ping you when the job has stopped with the same response payload.Request
Once your media is imported, you can use the agent edit endpoint to prompt Underlord for edits, just as you would in the app. Because it’s an API, conversation and follow up questions aren’t practical. So we recommend framing your edits as a one-shot prompt with all the information the agent needs.Editing can take some time, so the response also returns a job_id that you can use to check the status of the job. You can also pass in a callback_url as a part of an agent request, and we’ll ping you when the job has stopped.Request
curl -X POST https://descriptapi.com/v1/jobs/agent \ -H "Authorization: Bearer YOUR_API_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "project_id": "e2f89ce6", "prompt": "Add studio sound and captions" }'
Poll the job status endpoint using the job_id. When the agent job completes successfully, the response includes a summary of what it accomplished (see the result.agent_response field). Use the project URL to open the project in Descript and review Underlord’s changes.Request
Once the agent job is successfully complete, you’ll see a response from the agent with a brief summary of what it accomplished. You can then use the project url to review its changes directly in Descript.Response
{ "job_id":"project-agent-edit-e2f89ce6", "job_type":"agent", "project_id":"YOUR_PROJECT_ID", "project_url":"https://web.descript.com/e2f89ce6", "job_state":"stopped", "created_at":"2026-02-09T05:42:27.554Z", "stopped_at":"2026-02-09T05:43:15.296Z", "drive_id":"1df135a5-dc4a-4dc3-8f7d-681cfbe961e4", "result":{ "status":"success", "agent_response":"Done! I've applied Studio Sound to enhance your audio quality and added classic karaoke-style captions to your video.", "project_changed":true, "media_seconds_used":0, "ai_credits_used":32 }}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Descript Help Center","description":"User guides and documentation for Descript, a text-based video and audio editor.","colors":{"primary":"#651A39","light":"#CDCDFE","dark":"#F73B3B"},"logo":{"light":"https://mintcdn.com/descript-5bf56f3f/cSbTRRN32pg3UC1d/images/01a_Logo_2_color_Dark.png?fit=max\u0026auto=format\u0026n=cSbTRRN32pg3UC1d\u0026q=85\u0026s=5d5e4bea817ea025e6f7daf713a7fcfe","dark":"https://mintcdn.com/descript-5bf56f3f/cSbTRRN32pg3UC1d/images/01b_Logo_2_color_Light.png?fit=max\u0026auto=format\u0026n=cSbTRRN32pg3UC1d\u0026q=85\u0026s=90296d892f5b71071480e08d18b959b8"},"favicon":"https://mintcdn.com/descript-5bf56f3f/cSbTRRN32pg3UC1d/images/02a_Monogram_Primary.png?fit=max\u0026auto=format\u0026n=cSbTRRN32pg3UC1d\u0026q=85\u0026s=0dcc0c665590f0d18907633e2c109a25","api":{"openapi":"developers/openapi.json"},"appearance":{"default":"system"},"background":{"color":{"light":"#fdfcfc","dark":"#110A0D"}},"navbar":{"links":[]},"footer":{"socials":{"x":"https://x.com/descript","website":"https://www.descript.com","discord":"https://discord.com/channels/764925197379174411/960303941789294602","reddit":"https://www.reddit.com/r/Descript","facebook":"https://www.facebook.com/descriptapp"}},"fonts":{"heading":{"family":"Booton SemiBold","weight":500},"body":{"family":"Booton Regular","weight":500}},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"ga4":{"measurementId":"G-5C5EVM1H51"},"posthog":{"apiKey":"phc_w3ZqFHxxJraLWo3LU7wfDkCEhJZLo0X22W9e0VFu2Vu","sessionRecording":true}},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity","grok","aistudio","mcp","cursor","vscode","download-spec","download-pdf"],"display":"header"},"interaction":{"drilldown":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"descript-5bf56f3f","hasAudioNarration":false,"actualSubdomain":"descript-5bf56f3f","customDomains":["help.descript.com","docs.descriptapi.com"],"gitSource":{"type":"github","owner":"descriptinc","repo":"descript","deployBranch":"main","contentDirectory":"help-center","isPrivate":true,"mountPath":"","label":"","isBase":true},"chroma":{"liveDeploymentHistoryId":"6aea4ba3686df1f3186fbd49","collectionId":"79ffc07a-e967-425d-9d18-798a9401dd6a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea4ba3686df1f3186fbd49"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aea5bdc7e77426133be5c41","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Help Center","count":334},{"language":"default","tag":"SquadCast","count":67},{"language":"default","tag":"Script editing","count":34},{"language":"default","tag":"Export \u0026 share","count":33},{"language":"default","tag":"Record","count":28},{"language":"default","tag":"Visuals","count":28},{"language":"default","tag":"Add \u0026 manage media","count":25},{"language":"default","tag":"Effects, animations, transitions","count":23},{"language":"default","tag":"Troubleshooting","count":20},{"language":"default","tag":"Billing, payments, plans","count":19}],"searchSettings":{"isFiltersEnabled":false,"showContentSnippets":true,"maxResults":12}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"type":"link","url":"http://descript.zendesk.com/hc/en-us/requests/new"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instinct-self-updating-docs","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".effect-anchor{scroll-margin-top:6rem}tr:has(.effect-anchor:target){background-color:rgba(101,26,57,.07)}.dark tr:has(.effect-anchor:target){background-color:rgba(205,205,254,.1)}tr:has(.effect-anchor) td ul{margin:0}.custom-card{backdrop-filter:brightness(1.06);-webkit-backdrop-filter:brightness(1.06);border:1.5px solid rgba(0,0,0,.12);border-radius:1rem;transition:transform .15s ease,box-shadow .15s ease,border-color .15s ease}.custom-card:hover{transform:translateY(-2px);box-shadow:0 4px 8px rgba(0,0,0,.08)}.dark .custom-card{border-color:rgba(255,255,255,.14)}.dark .custom-card:hover{border-color:rgba(255,255,255,.22)}"}],"page":{"pagePath":"developers/get-started/quickstart","slug":"/developers/get-started/quickstart","pageMetadata":{"title":"Quickstart","description":"Create an API token, import media into a new project, and prompt Underlord for edits.","noindex":true,"href":"/developers/get-started/quickstart"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create an API token, import media into a new project, and prompt Underlord for edits.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Heading,OptimizedImage,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`The Descript API lets you programmatically create projects, import media, and edit your projects — all without opening the app.`}),`\n`,_jsxs(_components.p,{children:[`To learn more, visit `,_jsx(_components.a,{href:`https://descript.com/api`,children:`descript.com/api`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`create-an-api-token`,children:`Create an API token`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`In Descript, open `,_jsx(_components.strong,{children:`Settings`}),` and select `,_jsx(_components.strong,{children:`API tokens`}),` from the sidebar. Then click `,_jsx(_components.strong,{children:`Create token`}),`.`]}),`\n`]}),`\n`,_jsx(OptimizedImage,{src:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=6927c5b1c07f2beb4cd98d4c80beabbb`,alt:`Navigate to Settings > API tokens and click Create token`,\"data-og-width\":`1624`,width:`1624`,\"data-og-height\":`1472`,height:`1472`,\"data-path\":`images/token1.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=280\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=086c919bdd3d040170c306a2077fb3ff 280w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=560\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=1780184983055afd97221deda0e8e0ea 560w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=840\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=14dbddf7e57f52d14d3de0c392683b3a 840w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=1100\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=0611ad53ad35dcebe4d4260d75500c1f 1100w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=1650\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=6c7cda8439c5776a34b787853d99d2ec 1650w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token1.png?w=2500\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=23e50fe5e5ea690a310afe95f20561f6 2500w`}),`\n`,_jsxs(_components.ol,{start:`2`,children:[`\n`,_jsxs(_components.li,{children:[`Give your token a name and select the Drive it should be associated with. Click `,_jsx(_components.strong,{children:`Create token`}),`.`]}),`\n`]}),`\n`,_jsx(OptimizedImage,{src:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=9750c617e4eb44e13edfe5950525136d`,alt:`Name your token and select a Drive`,width:`500`,\"data-og-width\":`1000`,\"data-og-height\":`514`,\"data-path\":`images/token2.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=280\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=dffa29d10f4642ca9c0d30de4a4493be 280w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=560\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=0a66aa98e359df4ad4baad410a952801 560w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=840\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=b73fff107165020f2294bafd4d835fe1 840w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=1100\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=5565844b9569c6948a04b445541b98da 1100w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=1650\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=8c75ea030e300fc075b8b10d36ddc39f 1650w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token2.png?w=2500\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=feca2950cbd3143c1153cdc16897cf33 2500w`}),`\n`,_jsxs(_components.ol,{start:`3`,children:[`\n`,_jsx(_components.li,{children:`Copy your token and store it in a safe place. You won’t be able to view it again. If you lose it, you’ll need to generate a new one.`}),`\n`]}),`\n`,_jsx(OptimizedImage,{src:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=8d1c46ccf782416f6cdb8acf117828bc`,alt:`Copy and save your API token`,width:`500`,\"data-og-width\":`992`,\"data-og-height\":`460`,\"data-path\":`images/token3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=280\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=8a7b9fcc414d91be98eb0c33f4bc6966 280w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=560\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=0cdffedb36c49bd6376c6467d84392fa 560w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=840\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=9f5bf694c88e9c39b2acdb35f6442b17 840w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=03c6033dc71081761d5ffd0c97bc4247 1100w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=459fb5161a5af29422b692f2c28030d3 1650w, https://mintcdn.com/descript-5bf56f3f/jEJMartASr6qxAog/images/token3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=jEJMartASr6qxAog\u0026q=85\u0026s=f590a155eefd59c853ab10384da1a5b2 2500w`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Treat your API token like a password. Anyone with your token can make API requests on your behalf using your account permissions. Never share your token publicly or commit it to source control.`})}),`\n`,_jsxs(_components.p,{children:[`Include the token as a Bearer token in the `,_jsx(_components.code,{children:`Authorization`}),` header of your API requests.`]}),`\n`,_jsx(Heading,{level:`2`,id:`import-media-into-a-new-project`,children:`Import media into a new project`}),`\n`,_jsxs(_components.p,{children:[`You can create a new project, import media, and place the media into a composition all in one API request using the `,_jsx(_components.a,{href:`/developers/api-reference/import/import-project-media`,children:`import endpoint`}),`. This step also transcribes and processes the media so that it’s ready for you or the agent to edit.`]}),`\n`,_jsxs(_components.p,{children:[`To import files, pass in public or pre-signed URIs. To upload a local file instead, see `,_jsx(_components.a,{href:`/developers/guides/direct-upload`,children:`Direct file upload`}),`. To test the API with an example file, use the demo video included in the sample request below.`]}),`\n`,_jsxs(_components.p,{children:[`Importing and processing is an asynchronous job, so the response payload will contain a `,_jsx(_components.code,{children:`job_id`}),` for you to `,_jsx(_components.a,{href:`/developers/api-reference/jobs/get-job`,children:`query the status of the job`}),` and information about the newly created project. Note that `,_jsx(_components.code,{children:`project_id`}),` and `,_jsx(_components.code,{children:`project_url`}),` are returned immediately alongside `,_jsx(_components.code,{children:`job_id`}),`, but opening the project in Descript will not always show the API’s processing state in real time. To prevent unintended changes, we recommend that you do not make any changes to the project until the job has stopped.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Request`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`19`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`19`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://descriptapi.com/v1/jobs/import/project_media`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_TOKEN\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"project_name\": \"My First Video\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"add_media\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"demo.mp4\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"url\": \"https://test-files.descriptapi.com/demo-video.mp4\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"add_compositions\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\": \"Demo Video\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"clips\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` { \"media\": \"demo.mp4\" }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Response`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"project-media-import-9d635d5b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"drive_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c9c5c47e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://web.descript.com/e2f89ce6\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`check-for-import-completion`,children:`Check for import completion`}),`\n`,_jsxs(_components.p,{children:[`Poll the `,_jsx(_components.a,{href:`/developers/api-reference/jobs/get-job`,children:`job status endpoint`}),` using the `,_jsx(_components.code,{children:`job_id`}),` from the last step to check whether the import job is finished processing. When it is, you’ll see `,_jsx(_components.code,{children:`job_state: \"stopped\"`}),`. You can then check the `,_jsx(_components.code,{children:`results`}),` object to see its full results.`]}),`\n`,_jsxs(_components.p,{children:[`You can also pass in a `,_jsx(_components.code,{children:`callback_url`}),` as a part of the first import request, and we’ll ping you when the job has stopped with the same response payload.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Request`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://descriptapi.com/v1/jobs/project-media-import-9d635d5b`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_TOKEN\"`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Response`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"project-media-import-9d635d5b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"import/project_media\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"stopped\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://web.descript.com/e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"media_status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"main.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"duration_seconds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`69.477006`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_compositions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"f8e5088a-4d53-4aab-9d4f-c6624b7d7622\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Demo Video\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`prompt-for-edits-with-agent-underlord`,children:`Prompt for edits with Agent Underlord`}),`\n`,_jsxs(_components.p,{children:[`Once your media is imported, you can use the `,_jsx(_components.a,{href:`/developers/api-reference/agent/create-agent-edit`,children:`agent edit endpoint`}),` to prompt Underlord for edits, just as you would in the app. Because it’s an API, conversation and follow up questions aren’t practical. So we recommend framing your edits as a one-shot prompt with all the information the agent needs.`]}),`\n`,_jsxs(_components.p,{children:[`Editing can take some time, so the response also returns a `,_jsx(_components.code,{children:`job_id`}),` that you can use to `,_jsx(_components.a,{href:`/developers/api-reference/jobs/get-job`,children:`check the status of the job`}),`. You can also pass in a `,_jsx(_components.code,{children:`callback_url`}),` as a part of an agent request, and we’ll ping you when the job has stopped.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Request`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://descriptapi.com/v1/jobs/agent`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_TOKEN\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"project_id\": \"e2f89ce6\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"prompt\": \"Add studio sound and captions\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Response`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"project-agent-edit-e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"drive_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c9c5c47e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://web.descript.com/e2f89ce6\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`wait-for-the-agent-to-complete-its-job`,children:`Wait for the agent to complete its job`}),`\n`,_jsxs(_components.p,{children:[`Poll the `,_jsx(_components.a,{href:`/developers/api-reference/jobs/get-job`,children:`job status endpoint`}),` using the `,_jsx(_components.code,{children:`job_id`}),`. When the agent job completes successfully, the response includes a summary of what it accomplished (see the `,_jsx(_components.code,{children:`result.agent_response`}),` field). Use the project URL to open the project in Descript and review Underlord’s changes.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Request`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://descriptapi.com/v1/jobs/project-agent-edit-e2f89ce6`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_TOKEN\"`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`Once the agent job is successfully complete, you’ll see a response from the agent with a brief summary of what it accomplished. You can then use the project url to review its changes directly in Descript.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Response`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"project-agent-edit-e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"job_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"agent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"project_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_PROJECT_ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"project_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://web.descript.com/e2f89ce6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"job_state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"stopped\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-02-09T05:42:27.554Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"stopped_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-02-09T05:43:15.296Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"drive_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1df135a5-dc4a-4dc3-8f7d-681cfbe961e4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\t\"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agent_response\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Done! I've applied Studio Sound to enhance your audio quality and added classic karaoke-style captions to your video.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\t\"project_changed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\t\"media_seconds_used\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\t\"ai_credits_used\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`32`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Quickstart","description":"Create an API token, import media into a new project, and prompt Underlord for edits.","noindex":true,"href":"/developers/get-started/quickstart"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Create an API token","slug":"create-an-api-token","depth":2,"children":[]},{"title":"Import media into a new project","slug":"import-media-into-a-new-project","depth":2,"children":[]},{"title":"Check for import completion","slug":"check-for-import-completion","depth":2,"children":[]},{"title":"Prompt for edits with Agent Underlord","slug":"prompt-for-edits-with-agent-underlord","depth":2,"children":[]},{"title":"Wait for the agent to complete its job","slug":"wait-for-the-agent-to-complete-its-job","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/descript-5bf56f3f/2dc3a904ed64e2d6/analytics.js","/_mintlify/custom/descript-5bf56f3f/0f2d12095d1f7fa5/legacy-hash-redirect.js"],"subdomain":"descript-5bf56f3f","siteName":"Descript Help Center","title":"Quickstart - Descript Help Center","relatedPagesConfig":{"enabled":true,"limit":5,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-24T23:21:12.278Z","originalFileLocation":"developers/get-started/quickstart.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create an API token, import media into a new project, and prompt Underlord for edits.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Descript Help Center\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Quickstart - Descript Help Center\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create an API token, import media into a new project, and prompt Underlord for edits.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Descript Help Center\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://help.descript.com/developers/get-started/quickstart\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://descript-5bf56f3f.mintlify.app/_mintlify/api/og/v2?division=Get+started\u0026amp;title=Quickstart\u0026amp;description=Create+an+API+token%2C+import+media+into+a+new+project%2C+and+prompt+Underlord+for+edits.\u0026amp;theme=f81376d507a7ea740b835510\u0026amp;signature=8e15b913a8e81e3843fa7c509c0a75cd8a3fee8e09b81487a0d2c51c31c98874\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Quickstart - Descript Help Center\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create an API token, import media into a new project, and prompt Underlord for edits.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://descript-5bf56f3f.mintlify.app/_mintlify/api/og/v2?division=Get+started\u0026amp;title=Quickstart\u0026amp;description=Create+an+API+token%2C+import+media+into+a+new+project%2C+and+prompt+Underlord+for+edits.\u0026amp;theme=f81376d507a7ea740b835510\u0026amp;signature=8e15b913a8e81e3843fa7c509c0a75cd8a3fee8e09b81487a0d2c51c31c98874\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/descript-5bf56f3f/kFeqHqu-v8e5VpSc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Descript Help Center\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#651A39\">\u003clink data-mint-head rel=\"canonical\" href=\"https://help.descript.com/developers/get-started/quickstart\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/developers/get-started/quickstart.md\">","siteName":"Descript Help Center","nav":{"global":null,"tabs":[{"tab":"Help Center","pages":[{"title":"Help Center","href":""}]},{"tab":"SquadCast","pages":[{"title":"SquadCast","href":"/squadcast/quickstart"}]},{"tab":"Developers","icon":"square-terminal","groups":[{"group":"Get started","pages":[{"title":"Descript API","description":"Go from raw media to a finished, shareable video without opening the Descript app.","href":"/developers"},{"title":"Quickstart","href":"/developers/get-started/quickstart"},{"title":"Authentication","description":"Authenticate requests with a Bearer token scoped to a Drive.","href":"/developers/get-started/authentication"}]},{"group":"Guides","pages":[{"title":"Using the CLI","href":"/developers/guides/cli"},{"title":"Direct file upload","href":"/developers/guides/direct-upload"},{"title":"Rate limiting","href":"/developers/guides/rate-limiting"}]},{"group":"MCP","pages":[{"title":"Descript MCP","href":"/developers/mcp/overview"}]},{"group":"Partner integrations","pages":[{"title":"Edit in Descript","href":"/developers/partners/edit-in-descript"},{"title":"Export from Descript","href":"/developers/partners/export-from-descript"}]},{"group":"API endpoints","pages":[{"title":"API endpoints","sidebarTitle":"Overview","href":"/developers/api-reference/overview"},{"group":"Import","pages":[{"title":"Import media and sequences","openapi":"POST /jobs/import/project_media","href":"/developers/api-reference/import/import-project-media"},{"title":"Import media to drive library","openapi":"POST /jobs/import/drive_media","href":"/developers/api-reference/import/import-drive-media"}]},{"group":"Agent","pages":[{"title":"Agent edit","openapi":"POST /jobs/agent","href":"/developers/api-reference/agent/create-agent-edit"},{"title":"List agent models","openapi":"GET /agent/models","href":"/developers/api-reference/agent/list-agent-models"}]},{"group":"Jobs","pages":[{"title":"Get job status","openapi":"GET /jobs/{job_id}","href":"/developers/api-reference/jobs/get-job"},{"title":"List jobs","openapi":"GET /jobs","href":"/developers/api-reference/jobs/list-jobs"},{"title":"Cancel job","openapi":"DELETE /jobs/{job_id}","href":"/developers/api-reference/jobs/cancel-job"},{"title":"Publish project media","openapi":"POST /jobs/publish","href":"/developers/api-reference/jobs/publish-project"}]},{"group":"Projects","pages":[{"title":"List projects","openapi":"GET /projects","href":"/developers/api-reference/projects/list-projects"},{"title":"Get project details","openapi":"GET /projects/{project_id}","href":"/developers/api-reference/projects/get-project"},{"title":"Search a drive","openapi":"GET /search","href":"/developers/api-reference/projects/search"}]},{"group":"Export","pages":[{"title":"Export project transcript","openapi":"POST /export/transcript","href":"/developers/api-reference/export/export-transcript"}]},{"group":"Status","pages":[{"title":"Check API status","openapi":"GET /status","href":"/developers/api-reference/status/get-status"}]},{"group":"Partner endpoints","pages":[{"title":"Create Import URL","openapi":"POST /edit_in_descript/schema","href":"/developers/api-reference/partners/edit-in-descript-schema"},{"title":"Get Published Project Metadata","openapi":"GET /published_projects/{publishedProjectSlug}","href":"/developers/api-reference/partners/published-project-metadata"}]}]}]}]},"basePath":"","title":"Quickstart - Descript Help Center","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["a74be98ba7"],"chunks":["zoom-image-lightbox-B4-wUcHm.js","lightbox-handle-r17bVUz3.js"]}